DBGINFO.SH(1)

NAME
dbginfo.sh - collect runtime, configuration and trace information for debugging Linux on System z

SYNOPSIS
dbginfo.sh [OPTIONS]
dbginfo.sh {-h|-v}

DESCRIPTION
This script collects runtime, configuration and trace information that can be used to debug a Linux on System z instance. For Linux on z/VM, the script also traces information about the z/VM system. The debug information is written to a file /tmp/DBGINFO-<date>-<time>-<hostname>-<processorid>.tgz where [date] and [time] are the date and time when the debug data was collected. [hostname] indicates the hostname of the system the data was collected from. The [processorid] is taken from the processor 0 and indicates the processor identification.

OPTIONS

-h, --help
    Print usage information, then exit.

-v, --version
    Print version information, then exit.

-d <DIRECTORY>, --directory <DIRECTORY>
    Specify the DIRECTORY where the data collection stores the temporary data and the final archive. The specified directory must already exist. If this parameter is not specified, /tmp is used by default.

FILES
A .tgz file of the form

    DBGINFO-<year>-<month>-<day>-<hours>-<minutes>-<seconds>-<hostname>-<processorid>.tgz
is generated and placed in the /tmp directory or in the directory specified by the -d option.

EXAMPLE
Sample invocation:

[root@host]# dbginfo.sh -d /data-collection
dbginfo.sh: Debug information script version %S390_TOOLS_VERSION%
Copyright IBM Corp. 2002, 2019

Hardware platform = s390x
Kernel version = <kernel-version>
Runtime environment = z/VM

1 of 14: Collecting command output

2 of 14: Collecting z/VM command output

3 of 14: Collecting procfs

4 of 14: Collecting sysfs

5 of 14: Collecting log files

6 of 14: Collecting config files

7 of 14: Collecting osa oat output skipped - not available

8 of 14: Collecting ethtool output

9 of 14: Collecting tc output 10 of 14: Collecting OpenVSwitch output

11 of 14: Collecting domain xml files

12a of 14: Collecting docker container output 12b of 14: Collecting docker network output

13 of 14: Collecting nvme output

14 of 14: Postprocessing

Finalizing: Creating archive with collected data

Collected data was saved to:
 >> /data-collection/DBGINFO-2019-08-19-21-39-16-host-012345.tgz <<
Review the collected data before sending to your service organization.

HINTS
Run the script with root authority.
For Linux on z/VM, only z/VM guest virtual machines with class B privileges yield the complete debug information.

AUTHOR
Linux on System z development <linux390@de.ibm.com>